- Main Page
- Namespaces
- Classes
- Files
- Directories

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FilterDlg Class Reference

Inheritance diagram for FilterDlg:

List of all members.

## Public Slots
virtual void | slotAdd ()
virtual void | slotCopy ()
virtual void | slotDelete ()
virtual void | slotEdit ()
virtual void | slotOk ()
virtual void | slotFilterActivated (int)
virtual void | slotAutomaticActivated ()
## Public Member Functions
| FilterDlg (TQWidget *parent=0, const char *name=0, bool modal=FALSE, WFlags fl=0)
| ~FilterDlg ()
## Public Attributes
TQPushButton * | _buttonOk
TQPushButton * | _buttonCancel
TQButtonGroup * | buttonGroup1
TQRadioButton * | _radioOff
TQRadioButton * | _radioOn
TQRadioButton * | _radioAuto
TQGroupBox * | TQGroupBox_1
TQComboBox * | _comboFilter
TQPushButton * | _buttonAdd
TQPushButton * | _buttonEdit
TQPushButton * | _buttonCopy
TQPushButton * | _buttonDelete
## Protected Slots
virtual void | languageChange ()
## Protected Attributes
TQGridLayout * | FilterDlgLayout
TQHBoxLayout * | Layout6
TQSpacerItem * | Spacer11
TQGridLayout * | buttonGroup1Layout
TQGridLayout * | TQGroupBox_1Layout

## Detailed Description

Definition at line 26 of file FilterDlg.h.

The documentation for this class was generated from the following files:

- kshowmail/FilterDlg.h
- kshowmail/FilterDlg.cpp